WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/November 2023/25 Nov 2023

Hollywoodbets Sharks 69–14 Dragons RFC

33 photographs Huw Evans Agency Saturday
Prints from £8 Order prints
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Warm ups 001
CDF_251123_Sharks_v_Dragons_01.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Warm ups
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dragons head coach Dai Flanagan during warm ups 002
CDF_251123_Sharks_v_Dragons_02.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dragons head coach Dai Flanagan during warm ups
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Warm ups 003
CDF_251123_Sharks_v_Dragons_03.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Warm ups
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Warm ups 004
CDF_251123_Sharks_v_Dragons_04.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Warm ups
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Warm ups 005
CDF_251123_Sharks_v_Dragons_05.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Warm ups
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons RFC takes on Eben Etzebeth (L) and James Venter of Sharks 006
CDF_251123_Sharks_v_Dragons_06.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons RFC takes on Eben Etzebeth (L) and James Venter of Sharks
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC and Sio Tomkinson of Dragons RFC compete for the ball with Makazole Mapimpi (11) 007
CDF_251123_Sharks_v_Dragons_07.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC and Sio Tomkinson of Dragons RFC compete for the ball with Makazole Mapimpi (11)
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Bradley Roberts of Dragons RFC 008
CDF_251123_Sharks_v_Dragons_08.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Bradley Roberts of Dragons RFC
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Emile van Heerden of Hollywoodbets Sharks wins line out ball from Matthew Screech of Dragons RFC 009
CDF_251123_Sharks_v_Dragons_09.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Emile van Heerden of Hollywoodbets Sharks wins line out ball from Matthew Screech of Dragons RFC
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC and Jaden Hendrikse of Hollywoodbets Sharks chase the ball 010
CDF_251123_Sharks_v_Dragons_10.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC and Jaden Hendrikse of Hollywoodbets Sharks chase the ball
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC takes a high ball 011
CDF_251123_Sharks_v_Dragons_11.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC takes a high ball
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Cai Evans of Dragons RFC passes 012
CDF_251123_Sharks_v_Dragons_12.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Cai Evans of Dragons RFC passes
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Ollie Griffiths, captain of Dragons RFC, takes on Werner Kok of Sharks 013
CDF_251123_Sharks_v_Dragons_13.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Ollie Griffiths, captain of Dragons RFC, takes on Werner Kok of Sharks
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Ollie Griffiths, captain of Dragons RFC, takes on Werner Kok of Sharks 014
CDF_251123_Sharks_v_Dragons_14.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Ollie Griffiths, captain of Dragons RFC, takes on Werner Kok of Sharks
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Ewan Rosser of Dragons RFC 015
CDF_251123_Sharks_v_Dragons_15.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Ewan Rosser of Dragons RFC
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dane Blacker of Dragons RFC scores a try 016
CDF_251123_Sharks_v_Dragons_16.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dane Blacker of Dragons RFC scores a try
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dane Blacker of Dragons RFC scores a try 017
CDF_251123_Sharks_v_Dragons_17.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dane Blacker of Dragons RFC scores a try
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dane Blacker of Dragons RFC scores a try 018
CDF_251123_Sharks_v_Dragons_18.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dane Blacker of Dragons RFC scores a try
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dane Blacker of Dragons RFC celebrates scoring a try with Rio Dyer (14) 019
CDF_251123_Sharks_v_Dragons_19.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dane Blacker of Dragons RFC celebrates scoring a try with Rio Dyer (14)
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dane Blacker of Dragons RFC celebrates scoring a try 020
CDF_251123_Sharks_v_Dragons_20.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dane Blacker of Dragons RFC celebrates scoring a try
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - 021
CDF_251123_Sharks_v_Dragons_21.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship -
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Bradley Roberts of Dragons RFC 022
CDF_251123_Sharks_v_Dragons_22.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Bradley Roberts of Dragons RFC
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC 023
CDF_251123_Sharks_v_Dragons_23.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC and Aaron Wainwright of Dragons RFC (L) 024
CDF_251123_Sharks_v_Dragons_24.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC and Aaron Wainwright of Dragons RFC (L)
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC 025
CDF_251123_Sharks_v_Dragons_25.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Aneurin Owen of Dragons RFC is tackled 026
CDF_251123_Sharks_v_Dragons_26.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Aneurin Owen of Dragons RFC is tackled
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC 027
CDF_251123_Sharks_v_Dragons_27.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC scores a try 028
CDF_251123_Sharks_v_Dragons_28.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC scores a try
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dragons after the match 029
CDF_251123_Sharks_v_Dragons_29.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dragons after the match
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Aneurin Owen of Dragons RFC after the match 030
CDF_251123_Sharks_v_Dragons_30.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Aneurin Owen of Dragons RFC after the match
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dragons huddle after match 031
CDF_251123_Sharks_v_Dragons_31.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dragons huddle after match
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dragons walk off 032
CDF_251123_Sharks_v_Dragons_32.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dragons walk off
251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dragons after the match 033
CDF_251123_Sharks_v_Dragons_33.jpg · Huw Evans Agency251123 - Hollywoodbets Sharks v Dragons RFC - United Rugby Championship - Dragons after the match

More from around this date

Sat 25 NovNewport County 2-1 Stockport County Sat 25 NovPreston North End 1-2 Cardiff City Sat 25 NovSwansea City 2-2 Hull City Sun 26 NovOspreys Community Rugby Festival Sun 26 NovOspreys 31-9 Scarlets Fri 24 NovCardiff Rugby 31-24 DHL Stormers Thu 23 NovDragons RFC Training Tue 28 NovCardiff City 0-1 West Bromwich Albion
Hollywoodbets Sharks 69-14 Dragons RFC · 25 Nov 2023
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured